#       bkup.bash
#       This file is part of zenpakt
#
#       Copyright 2011 Anshul Narula aka sunny <sunny_delhi18@yahoo.com>
#
#       Zenpakt is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

$$

#bkup tar root
bkup() (
  #read a null delimited list of files from stdin and create a tar ball
  #backing up all the files found on the system at root
  #ignore errors in case file wasn't present or there was a failed read
  cd "$2" && tar --null --files-from=- --ignore-failed-read -cf "$1"
) 2>/dev/null

#backup files and at the same time remove them from file sysytem
#this calls tar with --remove-files option
bkup_rm() (
  cd "$2" && tar --null --files-from=- --ignore-failed-read --remove-files \
    -cvf "$1"
) 2>/dev/null
